Subject: Re: bug#22407: Better support external completion tools

From: Stefan Monnier <[email-masked]>
Date: Tue, 19 Jan 2016 21:31:33 -0500

> I don't see how the predicate could be used at all. As for regexp, we should
> make a survey of the existing external completion tools, and see how many of
> them take a regexp for this purpose.

I was thinking of applying (within Emacs) the regexp/predicate to a list
of candidate returned by the external tool.  Not passing it directly to
the external tool

> As an aside, I wonder if the current completion styles, at least, could each
> be automatically implemented on top of the input-to-regexp functions,
> without loss in efficiency.

"input-to-regexp"?  Sorry, doesn't ring a bell.

>> Probably neither would work well enough, tho (e.g. if the
>> completion-table includes candidates that fix typos in the user-input
>> string).
> Neither will be perfect, that's for sure. But maybe we don't have to worry
> about that too much: IME, users are mostly interested in the distinction
> between prefix and fuzzy completion, with many preferring the latter.

Agreed.  Honoring completion-styles is not very important.

> Using #'identity as display-sort-function should work, though.

Exactly.

        Stefan